Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grammar
Class IntLiteral

    java.lang.Object
      antlr.Token
          antlr.CommonToken
              de.grogra.grammar.Token
                  de.grogra.grammar.Literal
                      de.grogra.grammar.NumberLiteral
                          de.grogra.grammar.IntLiteral

All Implemented Interfaces:
  java.lang.Cloneable

    public final class IntLiteral

extends NumberLiteral

Field Summary

Fields inherited from class de.grogra.grammar.NumberLiteral
`DOUBLE, FLOAT, INT, LONG`

Fields inherited from class de.grogra.grammar.Token
`BOOLEAN_LITERAL, CHAR_LITERAL, DOUBLE_LITERAL, FLOAT_LITERAL, IDENT, INT_LITERAL, LONG_LITERAL, MAX_NUMBER_LITERAL, MIN_NUMBER_LITERAL, MIN_UNUSED, STRING_LITERAL`

Fields inherited from class antlr.CommonToken
`col, line, text`

Fields inherited from class antlr.Token
`badToken, EOF_TYPE, INVALID_TYPE, MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, SKIP, type`

Constructor Summary
`IntLiteral(int value)`
`IntLiteral(java.lang.String value, int radix)`

Method Summary
`double` | `doubleValue()`
`float` | `floatValue()`
`java.lang.String` | `getText()`
`int` | `intValue()`
`boolean` | `isDecimal()`
`long` | `longValue()`
`static int` | `parse(java.lang.CharSequence s, int begin, int end, int radix, boolean allowOverflowOnce)`

Methods inherited from class de.grogra.grammar.Token
`dup, getColumn, getEndPosition, getFilename, getLine, getStartPosition, getTokenizer, setExtent, setTokenizer`

Methods inherited from class antlr.CommonToken
`setColumn, setLine, setText, toString`

Methods inherited from class antlr.Token
`getType, setFilename, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntLiteral

    public IntLiteral(int value)

### IntLiteral

    public IntLiteral(java.lang.String value,
                      int radix)

Method Detail

### doubleValue

    public double doubleValue()

  Specified by:
    `doubleValue` in class `NumberLiteral`

### floatValue

    public float floatValue()

  Specified by:
    `floatValue` in class `NumberLiteral`

### getText

    public java.lang.String getText()

  Overrides:
    `getText` in class `antlr.CommonToken`

### intValue

    public int intValue()

  Specified by:
    `intValue` in class `NumberLiteral`

### isDecimal

    public boolean isDecimal()

### longValue

    public long longValue()

  Specified by:
    `longValue` in class `NumberLiteral`

### parse

    public static int parse(java.lang.CharSequence s,
                            int begin,
                            int end,
                            int radix,
                            boolean allowOverflowOnce)
                     throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD